﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;


namespace CheckBoxHeaderTest
{
    public partial class Form1 : Form
    {
        Boolean firstTime;
        DataSet dataSet;
        DataTable dataTable;
        DataTable table = new DataTable("Holidays");

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            firstTime = true;
            PopulateDataSet();
            BuildHolidayTable();
            ultraGrid1.DataSource = dataSet;
            ultraGrid2.DataSource = table;
            ultraButton1.Enabled = false;
            ultraTabControl1.Tabs[0].Selected = true;
            
        }

        private void PopulateDataSet()
        {
            dataSet = new DataSet();
            dataTable = new DataTable("Customer");
            dataTable.Columns.Add("CustomerID", typeof(int));
            dataTable.Columns.Add("CustomerName", typeof(string));
            dataTable.Columns.Add("Date", typeof(DateTime));
            dataTable.Columns.Add("City", typeof(string));
            dataTable.Columns.Add("State", typeof(string));

            dataTable.Rows.Add(new object[] { 1, "John Lever", DateTime.Now, "New York", "NY" });
            dataTable.Rows.Add(new object[] { 2, "Walter Smith", DateTime.Now.AddDays(1), "Jersey City", "NJ" });
            dataTable.Rows.Add(new object[] { 3, "Kathy Lever", DateTime.Now.AddDays(2), "Newark", "NJ" });
            dataTable.Rows.Add(new object[] { 4, "George Wills", DateTime.Now.AddDays(3), "Trenton", "NJ" });

            dataSet.Tables.Add(dataTable);

        }

        private void BuildHolidayTable()
        {
            DataColumn col = new DataColumn("Holiday", System.Type.GetType("System.String"));
            table.Columns.Add(col);

            col = new DataColumn("Date", System.Type.GetType("System.DateTime"));
            table.Columns.Add(col);

            DataRow row = table.NewRow();
            row["Holiday"] = "New Year's Day";
            row["Date"] = "01/01/2008";
            table.Rows.Add(row);

            DataRow row2 = table.NewRow();
            row2["Holiday"] = "George Washington's Birthday";
            row2["Date"] = "02/22/2008";
            table.Rows.Add(row2);

            DataRow row3 = table.NewRow();
            row3["Holiday"] = "May Day";
            row3["Date"] = "05/01/2010";
            table.Rows.Add(row3);

            DataRow row4 = table.NewRow();
            row4["Holiday"] = "First of Ramadan";
            row4["Date"] = "08/11/2010";
            table.Rows.Add(row4);
        }

        private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns[0].Header.CheckBoxVisibility = HeaderCheckBoxVisibility.Always;
        }

        private void ultraGrid1_AfterHeaderCheckStateChanged(object sender, AfterHeaderCheckStateChangedEventArgs e)
        {
            if (!firstTime)
            {
                ultraButton1.Enabled = true;
                ultraButton2.Enabled = true;
                MessageBox.Show("Buttons have been enabled.");
            }
            else
            {
                firstTime = false;
            }
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Sauvez!");
        }

        private void ultraButton2_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Rescue me!");
        }

        private void ultraTabControl1_SelectedTabChanged(object sender, Infragistics.Win.UltraWinTabControl.SelectedTabChangedEventArgs e)
        {
            if (ultraTabControl1.SelectedTab.Index == 0)
            {
                ultraGrid2.Focus();
            }
            else
                if (ultraTabControl1.SelectedTab.Index == 1)
                {
                    ultraGrid1.Focus();
                }
        }

        private void ultraTabControl1_Enter(object sender, EventArgs e)
        {
            ultraGrid1.Focus();
        }

       
    }
}
